Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs.util
Class RegistryAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.ohf.ihe.common.ebxml._2._1.rs.util.RegistryAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class RegistryAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `RegistryPackage`

Constructor Summary
`RegistryAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` | `createAddSlotsRequestTypeAdapter()` Creates a new adapter for an object of class '`Add Slots Request Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createApproveObjectsRequestTypeAdapter()` Creates a new adapter for an object of class '`Approve Objects Request Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createDeprecateObjectsRequestTypeAdapter()` Creates a new adapter for an object of class '`Deprecate Objects Request Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createDocumentRootAdapter()` Creates a new adapter for an object of class '`Document Root`'.
`org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` | `createOptionalFeaturesSupportedTypeAdapter()` Creates a new adapter for an object of class '`Optional Features Supported Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryErrorListTypeAdapter()` Creates a new adapter for an object of class '`Error List Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryErrorTypeAdapter()` Creates a new adapter for an object of class '`Error Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryProfileTypeAdapter()` Creates a new adapter for an object of class '`Profile Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryResponseTypeAdapter()` Creates a new adapter for an object of class '`Response Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRemoveObjectsRequestTypeAdapter()` Creates a new adapter for an object of class '`Remove Objects Request Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRemoveSlotsRequestTypeAdapter()` Creates a new adapter for an object of class '`Remove Slots Request Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRequestAcceptedResponseTypeAdapter()` Creates a new adapter for an object of class '`Request Accepted Response Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRootElementTypeAdapter()` Creates a new adapter for an object of class '`Root Element Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createSubmitObjectsRequestTypeAdapter()` Creates a new adapter for an object of class '`Submit Objects Request Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createUpdateObjectsRequestTypeAdapter()` Creates a new adapter for an object of class '`Update Objects Request Type`'.
`boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistryAdapterFactory

    public RegistryAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createAddSlotsRequestTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAddSlotsRequestTypeAdapter()

  Creates a new adapter for an object of class '`Add Slots Request Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AddSlotsRequestType`

### createApproveObjectsRequestTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createApproveObjectsRequestTypeAdapter()

  Creates a new adapter for an object of class '`Approve Objects Request Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ApproveObjectsRequestType`

### createDeprecateObjectsRequestTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createDeprecateObjectsRequestTypeAdapter()

  Creates a new adapter for an object of class '`Deprecate Objects Request Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DeprecateObjectsRequestType`

### createDocumentRootAdapter

    public org.eclipse.emf.common.notify.Adapter createDocumentRootAdapter()

  Creates a new adapter for an object of class '`Document Root`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DocumentRoot`

### createOptionalFeaturesSupportedTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createOptionalFeaturesSupportedTypeAdapter()

  Creates a new adapter for an object of class '`Optional Features Supported Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OptionalFeaturesSupportedType`

### createRegistryErrorListTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryErrorListTypeAdapter()

  Creates a new adapter for an object of class '`Error List Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryErrorListType`

### createRegistryErrorTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryErrorTypeAdapter()

  Creates a new adapter for an object of class '`Error Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryErrorType`

### createRegistryProfileTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryProfileTypeAdapter()

  Creates a new adapter for an object of class '`Profile Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryProfileType`

### createRegistryResponseTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryResponseTypeAdapter()

  Creates a new adapter for an object of class '`Response Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryResponseType`

### createRemoveObjectsRequestTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRemoveObjectsRequestTypeAdapter()

  Creates a new adapter for an object of class '`Remove Objects Request Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RemoveObjectsRequestType`

### createRemoveSlotsRequestTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRemoveSlotsRequestTypeAdapter()

  Creates a new adapter for an object of class '`Remove Slots Request Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RemoveSlotsRequestType`

### createRequestAcceptedResponseTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRequestAcceptedResponseTypeAdapter()

  Creates a new adapter for an object of class '`Request Accepted Response Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RequestAcceptedResponseType`

### createRootElementTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRootElementTypeAdapter()

  Creates a new adapter for an object of class '`Root Element Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RootElementType`

### createSubmitObjectsRequestTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSubmitObjectsRequestTypeAdapter()

  Creates a new adapter for an object of class '`Submit Objects Request Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SubmitObjectsRequestType`

### createUpdateObjectsRequestTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdateObjectsRequestTypeAdapter()

  Creates a new adapter for an object of class '`Update Objects Request Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UpdateObjectsRequestType`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD